Integrating Vault with Angular

You should be familiar with the basic concepts and patterns of Angular to use this documentation. If you are not, please refer to the Angular documentation for a getting-started tutorial.

DHTMLX Vault is compatible with Angular. We have prepared code examples of how to use DHTMLX Vault with Angular. To check online samples, please refer to the corresponding Example on Replit.

You can also check the demo on GitHub.

Creating a project

Before you start to create a new project, install Angular CLI and Node.js.

Create a new my-angular-vault-app project using Angular CLI. Run the following command for this purpose:

ng new my-angular-vault-app

The above command will install all the necessary tools and dependencies, so you don't need any additional commands.

Installation of dependencies

After that go to the app directory:

cd my-angular-vault-app

Then run the app with one of the following commands:

yarn start

or

npm start

Now the app should be running on http://localhost:4200.

Angular app running

Creating Vault

Now we should get the DHTMLX Vault code. First of all, we need to stop the app by pressing Ctrl+C in the command line. Then we can proceed with installing the Vault package.

Step 1. Package installation

There are two options available: you can install the Pro package from a local folder or install the trial version using npm or yarn.

Installing the package from a local folder

  1. Copy the Vault package into some local directory inside the project
  2. In the project directory run the command below replacing vault-local-package-path with the actual path:
npm install ./vault-local-package-path
//or
yarn add "./vault-local-package-path"

For example:

npm install ./vault_5.0.0_enterprise
// or
yarn add "./vault_5.0.0_enterprise"

Installing the trial version via a package manager

You can install the trial version of Vault using npm or yarn commands:

  • for npm:

npm config set @dhx:registry https://npm.dhtmlx.com
npm i @dhx/trial-vault

  • for yarn:

yarn config set @dhx:registry https://npm.dhtmlx.com
yarn add @dhx/trial-vault

To get Vault under the proprietary license, refer to the Support Center!

Step 2. Component creation

Now we should create a component, to add a Vault into the application. Let's create the vault folder in the src/app/ directory, add a new file into it and call it vault.component.ts. Then complete the steps described below.

Importing source files

Open the file and import Vault source files. Note that:

vault.component.ts

import { Vault } from 'dhx-vault-package';
import 'dhx-vault-package/codebase/vault.css';

Note that depending on the used package, the source files can be minified. In this case make sure that you are importing the CSS file as vault.min.css.

vault.component.ts

import { Vault } from '@dhx/trial-vault';
import '@dhx/trial-vault/codebase/vault.min.css';

In this tutorial we will use the trial version of Vault.

Setting the container and adding Vault

To display Vault on the page, we need to set the container to render the component inside. Use the code below:

vault.component.ts

import { Vault } from '@dhx/trial-vault';
import '@dhx/trial-vault/codebase/vault.min.css';
import { Component, ElementRef, OnInit, OnDestroy, ViewChild} from '@angular/core';
 
@Component({
  selector: 'vault',
  template: '<div #vaultContainer></div>',
})
export class VaultComponent implements OnInit, OnDestroy {
  @ViewChild('vaultContainer', { static: true }) vaultContainer!: ElementRef;
 
  private _vault: any;
}

Then we need to render our Vault in the container. To do that, use the ngOnInit() method of Angular:

vault.component.ts

import { Vault } from '@dhx/trial-vault';
import '@dhx/trial-vault/codebase/vault.min.css';
import { Component, ElementRef, OnInit, OnDestroy, ViewChild} from '@angular/core';
 
@Component({
  selector: 'vault',
  template: '<div #vaultContainer></div>',
})
export class VaultComponent implements OnInit, OnDestroy {
  @ViewChild('vaultContainer', { static: true }) vaultContainer!: ElementRef;
 
  private _vault: any;
 
  ngOnInit() {      let vault = new Vault(this.vaultContainer.nativeElement,{});       this._vault = vault;   }    
  ngOnDestroy() {
    this._vault.destructor();
  }
}

In the above code we've also specified the ngOnDestroy() method that contains the vault.destructor() call to clear the component when it is no longer needed.

Loading data

To add data into the Vault, we need to provide a data set. Let's create the data.ts file in the src/app/vault/ directory and add some data into it:

data.ts

export function getData(): any {
  return [
    {
      size: '100000',
      name: 'index.php',
    },
    {
      size: '25555',
      name: 'index.js',
    },
    {
      size: '2555412',
      name: 'document.doc',
    },
    {
      size: '52555',
      name: 'documentation.pdf',
    },
    {
      size: '23555',
      name: 'archive.zip',
    },
    {
      size: '72555',
      name: 'prototype.psd',
    },
  ];
}

Then open the vault.component.ts file. Import the file with data and add the vault.data.parse() call into the ngOnInit() method, as shown below. It will reload data on each applied change.

This is what you need to do in detail:

  • add the line for importing the data file after imports of Vault sources:

vault.component.ts

import { Vault } from '@dhx/trial-vault';
import '@dhx/trial-vault/codebase/vault.min.css';
import { getData } from './data';
  • complete the ngOnInit() method with vault.data.parse():

vault.component.ts

ngOnInit() {
  let vault = new Vault(this.vaultContainer.nativeElement,{});  
    vault.data.parse(getData());  
    this._vault = vault;
}

Now the Vault component is ready. When the element will be added to the page, it will initialize the Vault object with data. You can provide necessary configuration settings as well. Visit our Vault API docs to check the full list of available properties.

Handling events

When a user makes some action in the Vault, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.

Open the vault.component.ts file and complete the ngOnInit() method as in:

vault.component.ts

ngOnInit() {
  let vault = new Vault(this.vaultContainer.nativeElement,{});  
  vault.data.parse(getData());
 
  this._vault = vault;
 
  this._vault.events.on('ActionName', () => {     // do something    });  }

Replace 'ActionName' with the actual name of the event you want to handle, and implement the corresponding code inside the callback function. Get more information about the work with events in the Handling Events article.

Step 3. Adding Vault into the app

Now it's time to add the component into our app. Open src/app/app.component.ts and use VaultComponent instead of the default content by inserting the code below:

app.component.ts

import { Component } from "@angular/core";
 
@Component({
  selector: "app-root",
  template: `<vault></vault>`,
})
export class AppComponent {
  name = "";
}

Then create the app.module.ts file in the src/app/ directory and insert the VaultComponent as provided below:

app.module.ts

import { NgModule } from "@angular/core";
import { BrowserModule } from "@angular/platform-browser";
 
import { AppComponent } from "./app.component";
import { VaultComponent } from "./vault/vault.component";
 
@NgModule({
  declarations: [AppComponent, VaultComponent],
  imports: [BrowserModule],
  providers: [],
  bootstrap: [AppComponent],
})
export class AppModule {}

For correct rendering of fonts, open the angular.json file and complete the "assets" array in the following way (replace vault_package with the name of your local folder that contains Vault source files):

angular.json

...
"assets": [
  "src/favicon.ico",
  "src/assets",
  {     "input": "./vault_package/codebase/fonts",     "glob": "**/*",     "output": "assets"   } ],
...

The last step is to open the src/main.ts file and replace the existing code with the following one:

main.ts

import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";
import { AppModule } from "./app/app.module";
platformBrowserDynamic()
  .bootstrapModule(AppModule)
  .catch((err) => console.error(err));

After that, when we start the app, we should see Vault loaded with data on a page.

Vault initialization

Now you should have a basic setup for integrating DHTMLX Vault with Angular using Angular CLI. You can customize the code according to your specific requirements.

Back to top

Integrating Vault with Vue.js

You should be familiar with the basic concepts and patterns of Vue to use this documentation. If you are not, please refer to the Vue 3 documentation for a getting-started tutorial.

DHTMLX Vault is compatible with Vue. We have prepared code examples of how to use DHTMLX Vault with Vue. To check online samples, please refer to the corresponding Example on Replit.

You can also check the demo on GitHub.

Creating a project

Before you start to create a new project, install Node.js.

To create a Vue project, run the following command:

npm create vue@latest

This command will install and execute create-vue, the official Vue project scaffolding tool. Check the details in the Vue.js Quick Start.

Installation of dependencies

Next you should go to the app directory. Let's name our project vault-vue and run:

cd vault-vue

After that you should install dependencies and start the dev server. For this, you need to make use of a package manager:

  • if you use yarn, you need to call the following commands:
yarn install
yarn dev
  • if you use npm, you need to call the following commands:
npm install
npm run dev

You should now have your Vue project running on http://localhost:5173.

Vue app running

Creating Vault

Now we should get the DHTMLX Vault code. First of all, we need to stop the app by pressing Ctrl+C in the command line. Then we can proceed with installing the Vault package.

Step 1. Package installation

There are two options available: you can install the Pro package from a local folder or install the trial version using npm or yarn.

Installing the package from a local folder

The instructions are the following:

  1. Copy the Vault package into some local directory inside the project
  2. In the project directory run the command below replacing vault-local-package-path with the actual path:
npm install ./vault-local-package-path
//or
yarn add "./vault-local-package-path"

For example:

npm install ./vault_5.0.0_enterprise
// or
yarn add "./vault_5.0.0_enterprise"

Installing the trial version via a package manager

You can install the trial version of Vault using npm or yarn commands:

  • for npm:

npm config set @dhx:registry https://npm.dhtmlx.com
npm i @dhx/trial-vault

  • for yarn:

yarn config set @dhx:registry https://npm.dhtmlx.com
yarn add @dhx/trial-vault

To get Vault under the proprietary license, refer to the Support Center!

Step 2. Component creation

Now we should create a Vue component, to add a Vault into the application. Let's create a new file in the src/components/ directory and name it Vault.vue.

Importing source files

Open the file and import Vault source files. Note that:

Vault.vue

import { Vault } from 'dhx-vault-package';
import 'dhx-vault-package/codebase/vault.css';

Note that depending on the used package, the source files can be minified. In this case make sure that you are importing the CSS file as vault.min.css.

In case you use npm with a local Vault package, the way of importing Vault source files is different. Check the details below

Vault.vue

import { Vault } from '@dhx/trial-vault';
import '@dhx/trial-vault/codebase/vault.min.css';

In this tutorial we will use the trial version of Vault.

Setting the container and adding Vault

To display Vault on the page, we need to set the container to render the component inside. Check the code below:

Vault.vue

<script>
  import { Vault } from "@dhx/trial-vault";
  import "@dhx/trial-vault/codebase/vault.min.css";
</script>   <template> <div ref="container" style="width: 440px; height: 400px;"></div> </template>

Then we need to render our Vault in the container. Use the new Vault() constructor inside the mounted() method of Vue.js to initialize Vault inside of the container that you've set above:

Vault.vue

<script>
  export default {
    mounted: function() {
      this.vault = new Vault(this.$refs.container, {});
    }
  };
</script>   <template> <div ref="container" style="width: 440px; height: 400px;"></div> </template>

In case you use npm with a local Vault package, the way of Vault initialization differs a little bit. Check the details below

To clear the component as it has unmounted, use the vault.destructor() call inside the unmounted() method of Vue.js and remove the container after that, as follows:

Vault.vue

<script>
export default {
  mounted: function() {
    this.vault = new Vault(this.$refs.container, {});
  },
 
  unmounted() {       this.vault.destructor();     this.$refs.container.innerHTML = "";    },  }
</script>   <template> <div ref="container" style="width: 440px; height: 400px;"></div> </template>

Using npm + Vault package

If you use npm with a Vault package, the import of the source files and the initialization of Vault will differ from the common way:

  • include the Vault source files in the index.html file as shown in the example below. Replace vault_package with the name of your local folder that contains Vault source files.

index.html

<script src="./vault_package/codebase/vault.min.js"></script>
<link rel="stylesheet" href="./vault_package/codebase/vault.min.css">
  • use the dhx prefix to initialize Vault, check the example below:

Vault.vue

<script>
export default {
    mounted: function() {
      this.vault = new dhx.Vault(this.$refs.container, {});      }
  };
</script>

Loading data

Next you can load data into the Vault. For this, you need to provide a data set. Create the data.js file in the src/ directory and add some data into it:

data.js

export function getData() {
  return [
    {
      size: "100000",
      name: "index.php",
    },
    {
      size: "25555",
      name: "index.js",
    },
    {
      size: "2555412",
      name: "document.doc",
    },
    {
      size: "52555",
      name: "documentation.pdf",
    },
    {
      size: "23555",
      name: "archive.zip",
    },
    {
      size: "72555",
      name: "prototype.psd",
    },
  ];
}

Then open the Vault.vue file, add the "data" prop and specify a function for this property. This function will be called by Vue when a new Vault instance will be created. After that use the vault.data.parse() method to load data. It will reload data on each applied change:

Vault.vue

<script>
export default {
  props: ["data"],   data() {     return {       vault: null,     };   },  
  mounted: function() {
    this.vault = new Vault(this.$refs.container, {});
    this.vault.data.parse(this.data);    }
}
</script>   <template> <div ref="container" style="width: 440px; height: 400px;"></div> </template>

Now the Vault component is ready. When the element will be added to the page, it will initialize the Vault object with data. You can provide necessary configuration settings as well. Visit our Vault API docs to check the full list of available properties.

Handling events

When a user makes some action in the Vault, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.

Open Vault.vue and complete the mounted() method:

Vault.vue

<script>
export default {
    mounted: function() {
      this.vault = new Vault(this.$refs.container, {});
      this.vault.events.on("ActionName", () => {do something});     }
}
</script>

Replace 'ActionName' with the actual event name you want to handle, and implement the corresponding code inside the callback function. Get more information about the work with events in the Handling Events article.

Step 3. Adding Vault into the app

Now it's time to add the component into our app. Open App.vue and replace the code with the following one:

App.vue

<script>
import Vault from "./components/Vault.vue";
import { getData } from "./data";
 
export default {
  components: { Vault },
  data() {
    return { data: getData() };
  },
};
</script>   <template> <Vault :data="data" /> </template>

After that, when we start the app, we should see Vault loaded with data on a page.

Vault initialization

Now you should have a basic setup for integrating DHTMLX Vault with Vue.js. You can customize the code according to your specific requirements.

Back to top

Integrating Vault with Svelte

You should be familiar with the basic concepts and patterns of Svelte to use this documentation. If you are not, please refer to the Svelte documentation for a getting-started tutorial.

DHTMLX Vault is compatible with Svelte. We have prepared code examples of how to use DHTMLX Vault with Svelte. To check online samples, please refer to the corresponding Example on Replit.

You can also check the demo on GitHub.

Creating a project

Before you start to create a new project, install Vite (optional) and Node.js.

To create a Svelte project we will use Svelte with Vite and run the following command:

npm create vite@latest

Check the details in the related article.

Installation of dependencies

Independent of the chosen way, next you should go to the app directory. Let's call our project vault-svelte and run:

cd vault-svelte

Then you need to install dependencies and run the app. For this, you need to make use of a package manager:

  • if you use yarn, you need to call the following commands:
yarn install
yarn dev
  • if you use npm, you need to call the following commands:
npm install
npm run dev

When the above steps are complete, your app should be running on http://localhost:5173.

Svelte app running

Creating Vault

Now we should get the DHTMLX Vault code. First of all, we need to stop the app by pressing Ctrl+C in the command line. Then we can proceed with installing the Vault package.

Step 1. Package installation

There are two options available: you can install the Pro package from a local folder or install the trial version using npm or yarn.

Installing the package from a local folder

The instructions are the following:

  1. Copy the Vault package into some local directory inside the project
  2. In the project directory run the command below replacing vault-local-package-path with the actual path:
npm install ./vault-local-package-path
//or
yarn add "./vault-local-package-path"

For example:

npm install ./vault_5.0.0_enterprise
// or
yarn add "./vault_5.0.0_enterprise"

Installing the trial version via a package manager

You can install the trial version of Vault using npm or yarn commands:

  • for npm:

npm config set @dhx:registry https://npm.dhtmlx.com
npm i @dhx/trial-vault

  • for yarn:

yarn config set @dhx:registry https://npm.dhtmlx.com
yarn add @dhx/trial-vault

To get Vault under the proprietary license, refer to the Support Center!

Step 2. Component creation

Now we should create a Svelte component, to add a Vault into the application. Let's create a new file in the src/ directory and name it Vault.svelte.

Importing source files

Open the file and import Vault source files. Note that:

Vault.svelte

import { Vault } from 'dhx-vault-package';
import 'dhx-vault-package/codebase/vault.css';

Note that depending on the used package, the source files can be minified. In this case make sure that you are importing the CSS file as vault.min.css.

In case you use npm with a local Vault package, the way of importing Vault source files is different. Check the details below

Vault.svelte

import { Vault } from '@dhx/trial-vault';
import '@dhx/trial-vault/codebase/vault.min.css';

In this tutorial we will use the trial version of Vault.

Setting the container and adding Vault

To display Vault on the page, we need to set the container to render the component inside. Check the code below:

Vault.svelte

<script>
    import { Vault } from "@dhx/trial-vault";
    import "@dhx/trial-vault/codebase/vault.min.css";
 
    let container;
</script>   <div bind:this={container} class="container"></div>   <style>
    .container {
        width: 440px;
        height: 400px;
        margin: 50px auto;
    }
</style>

Then we need to render our Vault in the container. To do that, use the onMount() method of Svelte. Inside the method you can also specify the destructor() method to remove the Vault instance, when it is no longer needed:

Vault.svelte

<script>
  import { Vault } from "@dhx/trial-vault";
  import "@dhx/trial-vault/codebase/vault.min.css";
  import { onMount } from "svelte";  
  let container;
  let vault;
 
  onMount(() => {     vault = new Vault(container,{});     return () => vault.destructor();   });
</script>   <div bind:this={container}></div>

In case you use npm with a local Vault package, the way of Vault initialization differs a little bit. Check the details below

Using npm + Vault package

If you use npm with a Vault package, the import of the source files and the initialization of Vault will differ from the common way:

  • include the Vault source files in the index.html file as shown in the example below. Replace vault_package with the name of your local folder that contains Vault source files:

index.html

<script src="./vault_package/codebase/vault.min.js"></script>
<link rel="stylesheet" href="./vault_package/codebase/vault.min.css">
  • use the dhx prefix to initialize Vault, check the example below:

Vault.svelte

<script>
  import { onMount } from "svelte";
 
  let container;
  let vault;
 
  onMount(() => {   
    vault = new dhx.Vault(container, {});     });
</script>

Loading data

To add data into the Vault, we need to provide a data set. Let's create the data.js file in the src/ directory and add some data into it:

data.js

export function getData() {
  return [
    {
      size: "100000",
      name: "index.php",
    },
    {
      size: "25555",
      name: "index.js",
    },
    {
      size: "2555412",
      name: "document.doc",
    },
    {
      size: "52555",
      name: "documentation.pdf",
    },
    {
      size: "23555",
      name: "archive.zip",
    },
    {
      size: "72555",
      name: "prototype.psd",
    },
  ];
}

Then open the Vault.svelte file, specify the line for data export and use the parse() method to load data:

Vault.svelte

<script>
    import { Vault } from "@dhx/trial-vault";
    import "@dhx/trial-vault/codebase/vault.min.css";
    import { onMount } from "svelte";
 
    export let data;  
    let vault; 
    let container;
 
    onMount(() => {
        vault = new Vault(container, {});
    });
 
    $: vault?.data.parse(data);
</script>   <div bind:this={container}></div>

The $: vault?.data.parse(data); line will provide data reloading on each applied change.

Now the Vault component is ready. When the element will be added to the page, it will initialize the Vault object with data. You can provide necessary configuration settings as well. Visit our Vault API docs to check the full list of available properties.

Handling events

When a user makes some action in the Vault, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.

Open Vault.svelte and complete the onMount() method as in:

Vault.svelte

onMount(() => {
    vault = new Vault(container, {});
    vault.events.on("ActionName", () => {do something});
});

Replace 'ActionName' with the actual name of the event you want to handle, and implement the corresponding code inside the callback function. Get more information about the work with events in the Handling Events article.

Step 3. Adding Vault into the app

Now it's time to add the component into our app. Open App.svelte and replace the default code with the following one:

App.svelte

<script>
  import Vault from "./Vault.svelte";
  import { getData } from "./data.js";
</script>   <Vault data={getData()} />

After that, when we start the app, we should see Vault loaded with data on a page.

Vault initialization image

Now you should have a basic setup for integrating DHTMLX Vault with Svelte. You can customize the code according to your specific requirements.

Back to top

Integrating Vault with React

You should be familiar with the basic concepts and patterns of React to use this documentation. If you are not, please refer to the React documentation for a getting-started tutorial.

DHTMLX Vault is compatible with React. We have prepared code examples of how to use DHTMLX Vault with React. To check online samples, please refer to the corresponding Example on Replit.

You can also check the demo on GitHub.

Creating a project

Before you start to create a new project, install Vite (optional) and Node.js.

You can create a basic React project or use React with Vite:

npx create-vite my-react-vault-app --template react

Installation of dependencies

Next you should go to the app directory. Let's call our project my-react-vault-app and run:

cd my-react-vault-app

After that you should install dependencies and start the dev server. For this, you need to make use of a package manager:

  • if you use yarn, you need to call the following commands:
yarn install
yarn dev
  • if you use npm, you need to call the following commands:
npm install
npm run dev

You should now have your React project running on http://localhost:5173.

React app running

Creating Vault

Now we should get the DHTMLX Vault code. First of all, we need to stop the app by pressing Ctrl+C in the command line. Then we can proceed with installing the Vault package.

Step 1. Package installation

There are two options available: you can install the Pro package from a local folder or install the trial version using npm or yarn.

Installing the package from a local folder

The instructions are the following:

  1. Copy the Vault package into some local directory inside the project
  2. In the project directory run the command below replacing vault-local-package-path with the actual path:
npm install ./vault-local-package-path
//or
yarn add "./vault-local-package-path"

For example:

npm install ./vault_5.0.0_enterprise
// or
yarn add "./vault_5.0.0_enterprise"

Installing the trial version via a package manager

You can install the trial version of Vault using npm or yarn commands:

  • for npm:

npm config set @dhx:registry https://npm.dhtmlx.com
npm i @dhx/trial-vault

  • for yarn:

yarn config set @dhx:registry https://npm.dhtmlx.com
yarn add @dhx/trial-vault

To get Vault under the proprietary license, refer to the Support Center!

Step 2. Component creation

Now we should create a React component, to add a Vault into the application. Let's create a new file in the src/ directory and name it Vault.jsx.

Importing source files

Open the file and import Vault source files. Note that:

Vault.jsx

import { Vault } from 'dhx-vault-package';
import 'dhx-vault-package/codebase/vault.css';

Note that depending on the used package, the source files can be minified. In this case make sure that you are importing the CSS file as vault.min.css.

In case you use npm with a local Vault package, the way of importing Vault source files is different. Check the details below

Vault.jsx

import { Vault } from '@dhx/trial-vault';
import '@dhx/trial-vault/codebase/vault.min.css';

In this tutorial we will use the trial version of Vault.

Setting the container and adding Vault

To display Vault on the page, we need to set the container to render the component inside. Check the code below:

Vault.jsx

import { Vault } from '@dhx/trial-vault';
import '@dhx/trial-vault/codebase/vault.min.css';
import { useRef } from "react";   
// eslint-disable-next-line react/prop-types
const VaultComponent = () => {
  const nodeRef = useRef(null);  
  return (     <div       ref={nodeRef}       style={{width:"700px", minHeight:"100vh"}}     ></div>   ); };
 
export default VaultComponent;

Then we need to add our Vault into the container. To do that, import the useEffect() method of React and use it to render the Vault instance and destruct when it is no longer needed:

Vault.jsx

import { useEffect, useRef, useState } from "react";   
// eslint-disable-next-line react/prop-types
const VaultComponent = () => {
  const nodeRef = useRef(null);
  let [vault, setVault] = useState(null);    useEffect(() => {     const vault = new Vault(nodeRef.current, {});     setVault(vault);     return () => vault.destructor();   }, []);  
  return (
    <div
      ref={nodeRef}
      style={{width:"700px", minHeight:"100vh"}}
    ></div>
  );
};
 
export default VaultComponent;

In case you use npm with a local Vault package, the way of Vault initialization differs a little bit. Check the details below

Using npm + Vault package

If you use npm with a Vault package, the import of the source files and the initialization of Vault will differ from the common way:

  • include the Vault source files in the index.html file as shown in the example below. Replace vault_package with the name of your local folder that contains Vault source files:

index.html

<script src="./vault_package/codebase/vault.min.js"></script>
<link rel="stylesheet" href="./vault_package/codebase/vault.min.css">
  • use the dhx prefix to initialize Vault, check the example below:

Vault.jsx

useEffect(() => { 
  const vault = new dhx.Vault(nodeRef.current, {});   setVault(vault); 
  return () => vault.destructor();
}, []);

Loading data

To add data into the Vault, we need to provide a data set. Let's create the data.js file in the src/ directory and add some data into it:

data.js

export function getData() {
  return [
    {
      size: '100000',
      name: 'index.php',
    },
    {
      size: '25555',
      name: 'index.js',
    },
    {
      size: '2555412',
      name: 'document.doc',
    },
    {
      size: '52555',
      name: 'documentation.pdf',
    },
    {
      size: '23555',
      name: 'archive.zip',
    },
    {
      size: '72555',
      name: 'prototype.psd',
    },
  ];
}

Then open the Vault.jsx file, pass the name of the data file to the component constructor function and use the parse() method inside the useEffect() method of React to load data into Vault:

Vault.jsx

const VaultComponent = ({ data }) => {    const nodeRef = useRef(null);
  let [vault, setVault] = useState(null);
 
  useEffect(() => {
    const vault = new Vault(nodeRef.current, {});
    setVault(vault);
    return () => vault.destructor();
  }, []);
 
  useEffect(() => {      if (!vault) return;      vault.data.parse(data);   }, [vault, data]);  
  return (
    <div
      ref={nodeRef}
      style={{width:"700px", minHeight:"100vh"}}
    ></div>
  );
};
 
export default VaultComponent;

The vault.parse(data); line will provide data reloading on each applied change.

Now the Vault component is ready. When the element will be added to the page, it will initialize the Vault object with data. You can provide necessary configuration settings as well. Visit our Vault API docs to check the full list of available properties.

Handling events

When a user makes some action in the Vault, it invokes an event. You can use these events to detect the action and run the desired code for it. See the full list of events.

Open Vault.jsx and complete the useEffect() method as in:

Vault.jsx

useEffect(() => {
    const vault = new Vault(nodeRef.current, {});
    setVault(vault);
 
    vault.events.on("ActionName", () => {});  
    return () => vault.destructor();
  }, []);

Replace 'ActionName' with the actual event name you want to handle, and implement the corresponding code inside the callback function. Get more information about the work with events in the Handling Events article.

Step 3. Adding Vault into the app

Now it's time to add the component into our app. Open App.jsx and replace the default code with the following one:

App.jsx

import { useState } from "react";
import VaultComponent from "./Vault";
import { getData } from "./data";
 
function App() {
  let [data] = useState(getData());
 
  return <VaultComponent data={data} />;
}
 
export default App;

After that, when we start the app, we should see Vault loaded with data on a page.

Vault initialization

Now you should have a basic setup for integrating DHTMLX Vault with React. You can customize the code according to your specific requirements.

Back to top